class_name Endpoint extends Control

@export var percent : float = 0
var filled: bool
var fill: bool :
	get:
		return filled
	set(value):
		if value != filled:
			set_fill(value)


func set_fill(value : bool) -> void:
	filled = value
	if value:
		$Dot.visible = true
		$Fill.modulate = Color.SEA_GREEN
	else:
		$Dot.visible = false
		$Fill.modulate = Color.BLACK
		
		
